[PATCH v2 1/7] config: use $EGREP instead of egrep

Hans-Peter Nilsson hp@bitrange.com
Tue Jul 5 00:58:36 GMT 2022


On Mon, 27 Jun 2022, Xi Ruoyao via Gcc-patches wrote:
> egrep has been deprecated in favor of grep -E for a long time, and the
> next GNU grep release (3.8 or 4.0) will print a warning if egrep is used.
> Unfortunately, old hosts with non-GNU grep may lack the support for -E
> option.  Use AC_PROG_EGREP and $EGREP variable so we'll work fine on
> both old and new platforms.
>
> ChangeLog:
>
> 	* configure.ac: Call AC_PROG_EGREP, and use $EGREP instead of
> 	egrep.

Nit of the day:

> diff --git a/config/lib-link.m4 b/config/lib-link.m4
> index 20e281fd323..5bbbd999de0 100644
> --- a/config/lib-link.m4
> +++ b/config/lib-link.m4
> @@ -99,8 +99,10 @@ AC_DEFUN([AC_LIB_RPATH],
>    AC_REQUIRE([AC_LIB_PROG_LD])            dnl we use $LD, $with_gnu_ld
>    AC_REQUIRE([AC_CANONICAL_HOST])         dnl we use $host
>    AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT]) dnl we use $ac_aux_dir
> +  AC_REQUIRE([AC_PROG_EGREP])             dnl we use $GREP

Shouldn't that be "we use $EGREP"?

brgds, H-P


More information about the Gcc-patches mailing list